Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owl.io.vocabulary
Class RDFSVocabularyAdapter

    java.lang.Object
      |
      +--org.semanticweb.owl.io.vocabulary.VocabularyAdapter
            |
            +--org.semanticweb.owl.io.vocabulary.RDFVocabularyAdapter
                  |
                  +--org.semanticweb.owl.io.vocabulary.RDFSVocabularyAdapter

Direct Known Subclasses:
  OWLVocabularyAdapter

public class RDFSVocabularyAdapter
extends RDFVocabularyAdapter

Vocabulary for the current RDFS specification.

Field Summary
`static RDFSVocabularyAdapter` | `INSTANCE` An instance of this class.
`static String` | `RDFS` Namespace for the RDFS.

Fields inherited from class org.semanticweb.owl.io.vocabulary.RDFVocabularyAdapter
`RDF`

Constructor Summary
`protected` | `RDFSVocabularyAdapter()` Creates an instance of this class.

Method Summary
`String` | `getClass_()` Returns the name of the 'Concept' resource.
`String` | `getComment()` Returns the name of the 'comment' property
`String` | `getConstraintResource()` Returns the name of the 'ContraintResource' resource.
`String` | `getContraintProperty()` Returns the name of the 'ConstraintProperty' resource.
`String` | `getDatatype()` Returns the name of the 'Datatype' property.
`String` | `getDomain()` Returns the name of the 'domain' property.
`String` | `getIsDefinedBy()` Returns the name of the 'isDefinedBy' property
`String` | `getLabel()` Returns the name of the 'label' property.
`String` | `getLiteral()` Returns the name of the 'Literal' resource.
`String` | `getRange()` Returns the name of the 'range' property.
`String` | `getResource()` Returns the name of the 'Resource' resource.
`String` | `getSeeAlso()` Returns the name of the 'seeAlso' property
`String` | `getSubClassOf()` Returns the name of the 'subClassOf' property.
`String` | `getSubPropertyOf()` Returns the name of the 'subPropertyOf' property.

Methods inherited from class org.semanticweb.owl.io.vocabulary.RDFVocabularyAdapter
`getAlt, getBag, getInstanceOf, getNil, getProperty, getSeq, getStatement`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final RDFSVocabularyAdapter INSTANCE

  An instance of this class.

### RDFS

    public static final String RDFS

  Namespace for the RDFS.

  See Also:
    Constant Field Values

Constructor Detail

### RDFSVocabularyAdapter

    protected RDFSVocabularyAdapter()

  Creates an instance of this class.

Method Detail

### getResource

    public String getResource()

  Returns the name of the 'Resource' resource.

### getLiteral

    public String getLiteral()

  Returns the name of the 'Literal' resource.

### getConstraintResource

    public String getConstraintResource()

  Returns the name of the 'ContraintResource' resource.

### getContraintProperty

    public String getContraintProperty()

  Returns the name of the 'ConstraintProperty' resource.

### getDatatype

    public String getDatatype()

  Returns the name of the 'Datatype' property.

### getDomain

    public String getDomain()

  Returns the name of the 'domain' property.

### getRange

    public String getRange()

  Returns the name of the 'range' property.

### getLabel

    public String getLabel()

  Returns the name of the 'label' property.

### getComment

    public String getComment()

  Returns the name of the 'comment' property

### getSeeAlso

    public String getSeeAlso()

  Returns the name of the 'seeAlso' property

### getIsDefinedBy

    public String getIsDefinedBy()

  Returns the name of the 'isDefinedBy' property

### getSubClassOf

    public String getSubClassOf()

  Returns the name of the 'subClassOf' property.

### getSubPropertyOf

    public String getSubPropertyOf()

  Returns the name of the 'subPropertyOf' property.

### getClass_

    public String getClass_()

  Returns the name of the 'Concept' resource.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WonderWeb